org.wildfly.swarm.teiid

## Class TeiidFraction

- java.lang.Object
- - <any>
  - - org.wildfly.swarm.teiid.TeiidFraction

- All Implemented Interfaces:
    Fraction<TeiidFraction>

      public class TeiidFraction
      extends <any>
      implements Fraction<TeiidFraction>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TeiidFraction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TeiidFraction` | `applyDefaults()` Apply whatever defaults are required if this fraction was not explicitly configured by a user.
    `int` | `jdbcPort()`
    `TeiidFraction` | `jdbcPort(int jdbcPort)`
    `TeiidFraction` | `jdbcTransport()`
    `int` | `odbcPort()`
    `TeiidFraction` | `odbcPort(int jdbcPort)`
    `TeiidFraction` | `odbcTransport()`
    `String` | `preparedplanCacheInfinispanContainer()`
    `String` | `preparedplanCacheName()`
    `String` | `resultsetCacheInfinispanContainer()`
    `String` | `resultsetCacheName()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.wildfly.swarm.spi.api.Fraction

      `applyDefaults`

- - ### Constructor Detail

    - #### TeiidFraction

          public TeiidFraction()

  - ### Method Detail

    - #### applyDefaults

          public TeiidFraction applyDefaults()

      Description copied from interface: `Fraction`
      Apply whatever defaults are required if this fraction was not explicitly configured by a user.
      Specified by:
        `applyDefaults` in interface `Fraction<TeiidFraction>`
      Returns:
        this fraction.

    - #### jdbcTransport

          public TeiidFraction jdbcTransport()

    - #### odbcTransport

          public TeiidFraction odbcTransport()

    - #### jdbcPort

          public TeiidFraction jdbcPort(int jdbcPort)

    - #### jdbcPort

          public int jdbcPort()

    - #### odbcPort

          public TeiidFraction odbcPort(int jdbcPort)

    - #### odbcPort

          public int odbcPort()

    - #### preparedplanCacheInfinispanContainer

          public String preparedplanCacheInfinispanContainer()

    - #### preparedplanCacheName

          public String preparedplanCacheName()

    - #### resultsetCacheInfinispanContainer

          public String resultsetCacheInfinispanContainer()

    - #### resultsetCacheName

          public String resultsetCacheName()

Copyright © 2017 JBoss by Red Hat. All rights reserved.